Subject: [TLS] Weekly github digest (TLS Working Group Drafts)

From: Repository Activity Summary Bot <[email-masked]>
Date: Sun, 6 Jun 2021 01:19:48 -0700 (PDT)

Issues
------
* tlswg/draft-ietf-tls-esni (+2/-0/💬9)
  2 issues created:
  - Reconsider non-HRR ECH acceptance signal (by chris-wood)
    https://github.com/tlswg/draft-ietf-tls-esni/issues/441 
  - Mitigate HRR when possible (by chris-wood)
    https://github.com/tlswg/draft-ietf-tls-esni/issues/440 

  2 issues received 9 new comments:
  - #440 Mitigate HRR when possible (8 by chris-wood, davidben, ekr, martinthomson, sftcd)
    https://github.com/tlswg/draft-ietf-tls-esni/issues/440 
  - #433 Embedded ClientHello padding complicates whole-input padding schemes (1 by davidben)
    https://github.com/tlswg/draft-ietf-tls-esni/issues/433 

* tlswg/tls13-spec (+2/-0/💬0)
  2 issues created:
  - Informal reference to RFC 8879 TLS Certificate Compression (by emanjon)
    https://github.com/tlswg/tls13-spec/issues/1232 
  - PSK binder hash function is ambiguously-specified and potentially simplifiable (by davidben)
    https://github.com/tlswg/tls13-spec/issues/1227 

* tlswg/dtls13-spec (+1/-0/💬0)
  1 issues created:
  - message_hash construction is ambiguous in DTLS (by davidben)
    https://github.com/tlswg/dtls13-spec/issues/247 

Pull requests
-------------
* tlswg/draft-ietf-tls-esni (+4/-2/💬24)
  4 pull requests submitted:
  - Link to sections of references. (by davidben)
    https://github.com/tlswg/draft-ietf-tls-esni/pull/445 
  - Allow empty enc in ClientECH. (by davidben)
    https://github.com/tlswg/draft-ietf-tls-esni/pull/444 
  - Move ClientHello padding to the encoding. (by davidben)
    https://github.com/tlswg/draft-ietf-tls-esni/pull/443 
  - Preserve length prefixes in ClientHelloOuterAAD (by davidben)
    https://github.com/tlswg/draft-ietf-tls-esni/pull/442 

  4 pull requests received 24 new comments:
  - #443 Move ClientHello padding to the encoding. (1 by davidben)
    https://github.com/tlswg/draft-ietf-tls-esni/pull/443 
  - #442 Preserve length prefixes in ClientHelloOuterAAD (7 by briansmith, davidben, martinthomson)
    https://github.com/tlswg/draft-ietf-tls-esni/pull/442 
  - #438 Remove redundant length prefix from ClientHelloOuterAAD. (1 by sayrer)
    https://github.com/tlswg/draft-ietf-tls-esni/pull/438 
  - #436 Prohibit IP addresses in ECHConfig.public_name. (15 by cbartle891, chris-wood, davidben, martinthomson, richsalz)
    https://github.com/tlswg/draft-ietf-tls-esni/pull/436 

  2 pull requests merged:
  - Allow empty enc in ClientECH.
    https://github.com/tlswg/draft-ietf-tls-esni/pull/444 
  - Remove redundant length prefix from ClientHelloOuterAAD.
    https://github.com/tlswg/draft-ietf-tls-esni/pull/438 

* tlswg/tls13-spec (+4/-0/💬0)
  4 pull requests submitted:
  - RFC 8773 TLS 1.3 Extension for Certificate-Based Authentication with … (by emanjon)
    https://github.com/tlswg/tls13-spec/pull/1231 
  - RFC 8996 "Deprecating TLS 1.0 and TLS 1.1" (by emanjon)
    https://github.com/tlswg/tls13-spec/pull/1230 
  - Updates and obsolete in abstract (by emanjon)
    https://github.com/tlswg/tls13-spec/pull/1229 
  - Outdated references to ITU-T/ISO/IEC specifications (by emanjon)
    https://github.com/tlswg/tls13-spec/pull/1228 

Repositories tracked by this digest:
-----------------------------------
* https://github.com/tlswg/draft-ietf-tls-semistatic-dh
* https://github.com/tlswg/draft-ietf-tls-md5-sha1-deprecate
* https://github.com/tlswg/draft-ietf-tls-esni
* https://github.com/tlswg/certificate-compression
* https://github.com/tlswg/draft-ietf-tls-external-psk-importer
* https://github.com/tlswg/draft-ietf-tls-ticketrequest
* https://github.com/tlswg/tls13-spec
* https://github.com/tlswg/tls-flags
* https://github.com/tlswg/dtls13-spec
* https://github.com/tlswg/dtls-conn-id
* https://github.com/tlswg/tls-subcerts
* https://github.com/tlswg/oldversions-deprecate
* https://github.com/tlswg/sniencryption
* https://github.com/tlswg/tls-exported-authenticator
* https://github.com/tlswg/draft-ietf-tls-ctls
* https://github.com/tlswg/external-psk-design-team